---
title: Update a filter
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Filters](https://developers.cloudflare.com/api/typescript/resources/filters)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update a filter

Deprecated: The Filters API is deprecated in favour of using the Ruleset Engine. See https://developers.cloudflare.com/fundamentals/api/reference/deprecations/#firewall-rules-api-and-filters-api for full details.

client.filters.update(stringfilterID, FilterUpdateParams {zone\_id, description, expression, 2 more } params, RequestOptionsoptions?): [FirewallFilter](<https://developers.cloudflare.com/api/typescript/resources/filters#(resource)%20filters%20%3E%20(model)%20firewall_filter%20%3E%20(schema)>) {id, description, expression, 2 more }

PUT/zones/{zone\_id}/filters/{filter\_id}

Updates an existing filter.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Firewall Services Write`

##### ParametersExpand Collapse

filterID: string

The unique identifier of the filter.

maxLength32

minLength32

[Link to this property](<#(resource)%20filters%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20filter_id%20%3E%20(schema)>)

<details>

<summary>

params: FilterUpdateParams {zone\_id, description, expression, 2 more }

</summary>

zone\_id: string

Path param: Defines an identifier.

maxLength32

<a href="#(resource)%20filters%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

description?: string

Body param: An informative summary of the filter.

maxLength500

<a href="#(resource)%20filters%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20description">Link to this property</a>

expression?: string

Body param: The filter expression. For more information, refer to <a href="https://developers.cloudflare.com/ruleset-engine/rules-language/expressions/">Expressions</a>.

<a href="#(resource)%20filters%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20expression">Link to this property</a>

paused?: boolean

Body param: When true, indicates that the filter is currently paused.

<a href="#(resource)%20filters%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20paused">Link to this property</a>

ref?: string

Body param: A short reference tag. Allows you to select related filters.

maxLength50

<a href="#(resource)%20filters%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20ref">Link to this property</a>

</details>

[Link to this property](<#(resource)%20filters%20%3E%20(method)%20update%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

FirewallFilter {id, description, expression, 2 more }

</summary>

id?: string

The unique identifier of the filter.

maxLength32

minLength32

<a href="#(resource)%20filters%20%3E%20(model)%20firewall_filter%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

description?: string

An informative summary of the filter.

maxLength500

<a href="#(resource)%20filters%20%3E%20(model)%20firewall_filter%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

expression?: string

The filter expression. For more information, refer to <a href="https://developers.cloudflare.com/ruleset-engine/rules-language/expressions/">Expressions</a>.

<a href="#(resource)%20filters%20%3E%20(model)%20firewall_filter%20%3E%20(schema)%20%3E%20(property)%20expression">Link to this property</a>

paused?: boolean

When true, indicates that the filter is currently paused.

<a href="#(resource)%20filters%20%3E%20(model)%20firewall_filter%20%3E%20(schema)%20%3E%20(property)%20paused">Link to this property</a>

ref?: string

A short reference tag. Allows you to select related filters.

maxLength50

<a href="#(resource)%20filters%20%3E%20(model)%20firewall_filter%20%3E%20(schema)%20%3E%20(property)%20ref">Link to this property</a>

</details>

[Link to this property](<#(resource)%20filters%20%3E%20(model)%20firewall_filter%20%3E%20(schema)>)

### Update a filter

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const firewallFilter = await client.filters.update('372e67954025e0ba6aaa6d586b9e0b61', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(firewallFilter.id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b61",
    "description": "Restrict access from these browsers on this address range.",
    "expression": "(http.request.uri.path ~ \".*wp-login.php\" or http.request.uri.path ~ \".*xmlrpc.php\") and ip.addr ne 172.16.22.155",
    "paused": false,
    "ref": "FIL-100"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b61",
    "description": "Restrict access from these browsers on this address range.",
    "expression": "(http.request.uri.path ~ \".*wp-login.php\" or http.request.uri.path ~ \".*xmlrpc.php\") and ip.addr ne 172.16.22.155",
    "paused": false,
    "ref": "FIL-100"
  },
  "success": true
}
```